Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.1

Description

Upgrading from Redmine 3.3.x to 4.0.1

Windows

on cmd:

rake generate_secret_token

 I get this error:

Unable to load the EventMachine C extension; To use the pure-ruby reactor, require 'em/pure_ruby'

rake aborted!

LoadError: cannot load such file -- 2.5/rubyeventmachine

X:/Redmine/config/application.rb:5:in '<top <required>>'

X:/Redmine/Rakefile:5:in '<top <required>>'

 

Resolved by adding the following line:

require 'em/pure_ruby'

at the top of

X:/RubyXX-x64/lib/ruby/gems/2.X.0/gems/eventmachine-1.2.X-x64-mingw32/lib/eventmachine.rb

History

#1 - 2019-01-29 02:42 - James H

I am personally using Ruby 2.5.3

but I have seen this resolution for 2.4.x and I believe 2.6.x as well.

#2 - 2019-01-29 02:47 - James H

After the resolution above,

running rake generate_secret_token gives a lot of the same warning:

X:/Redmine/app/models/wiki_content_version.rb:xxx: warning: encountered \r in middle of line, treated as a mere space

 Then when I start up a server (I usually use Thin client) I got a

no implicit conversion of nil into String <TypeError>

 from the thin files.

These could all be unrelated, not sure at this time.

#3 - 2019-02-01 20:49 - James H
workaround:

uninstall eventmachine x64-mingw32

then

gem install eventmachine --platform ruby

#4 - 2019-02-13 22:41 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Thank you for your report.

Unfortunately, Redmine itself doesn't use eventmachine anywhere. If something requires eventmachine with your installation, this requirement is thus

likely stemming from some customizations of your setup (e.g. because you use an app server like thin or some custom plugin). In that case, any

issues caused by those components should be reported to the authors of the respective projects.
